import {IFactory as IComponentsFactory} from './components/IFactory';
import {IFactory as ICommandsFactory} from './commands/IFactory';

export interface IFactory {
    getComponentsFactory(): IComponentsFactory;
    getCommandsFactory(): ICommandsFactory;
    init(container:HTMLElement): void;
}